# yaml-language-server: $schema=https://cigaleapp.github.io/cigale/protocol.schema.json
id: io.github.cigaleapp.examples.birds
name: Oiseaux (détection seulement)
learnMore: https://github.com/cigaleapp/cigale/blob/examples/birds.cigaleprotocol.yaml
source: https://raw.githubusercontent.com/cigaleapp/cigale/examples/birds.cigaleprotocol.yaml
version: 1
authors: []
description: Détection d'oiseaux
metadata:
  crop:
    type: boundingbox
    label: ""
    description: ""
    required: false
    mergeMethod: union
    options: []
  shoot_date:
    type: date
    label: Date
    description: Moment où la photo a été prise
    required: false
    mergeMethod: average
    infer:
      exif: DateTimeOriginal
    options: []
  shoot_location:
    type: location
    label: Localisation
    description: Endroit où la photo a été prise
    required: false
    mergeMethod: average
    infer:
      latitude:
        exif: GPSLatitude
      longitude:
        exif: GPSLongitude
    options: []
  species:
    type: string
    label: Espèce
    required: false
    description: ""
    mergeMethod: none
    options: []
crop:
  metadata: crop
  padding: 0
  infer:
    - input:
        height: 640
        normalized: false
        width: 640
      model: https://raw.githubusercontent.com/cigaleapp/models/main/bird_detection.onnx
      output:
        normalized: true
        shape: [sx, sy, ex, ey, score, _]
